/**
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.bpmn2bpel.components;

import org.ow2.orchestra.jaxb.bpmn.TExpression;
import org.ow2.orchestra.jaxb.bpmn.TFlowNode;


/**
 * @author Guillaume Porcher
 */
public class LinkComponent {

  private TFlowNode sourceNode;
  private TFlowNode targetNode;

  private TExpression transitionCondition;


  public LinkComponent(
          final TFlowNode sourceNode,
          final TFlowNode targetNode,
          final TExpression transitionCondition) {
    this.sourceNode = sourceNode;
    this.targetNode = targetNode;
    this.transitionCondition = transitionCondition;
  }


  /**
   * @return the sourceNode
   */
  public TFlowNode getSourceNode() {
    return this.sourceNode;
  }

  /**
   * @param sourceNode the sourceNode to set
   */
  public void setSourceNode(final TFlowNode sourceNode) {
    this.sourceNode = sourceNode;
  }

  /**
   * @return the targetNode
   */
  public TFlowNode getTargetNode() {
    return this.targetNode;
  }

  /**
   * @param targetNode the targetNode to set
   */
  public void setTargetNode(final TFlowNode targetNode) {
    this.targetNode = targetNode;
  }

  /**
   * @return the transitionCondition
   */
  public TExpression getTransitionCondition() {
    return this.transitionCondition;
  }

  /**
   * @param transitionCondition the transitionCondition to set
   */
  public void setTransitionCondition(final TExpression transitionCondition) {
    this.transitionCondition = transitionCondition;
  }

  /**
   * @return the name
   */
  public String getName() {
    return this.sourceNode.getId() + "-" + this.targetNode.getId();
  }
}
